Subject: Re: bug#13334: 24.3.50; enhancement request: `C-0 M-n' reverses order of defaults

From: Juri Linkov <[email-masked]>
Date: Thu, 03 Jan 2013 02:27:07 +0200

> The enhancement would be to let a zero prefix arg (e.g. `C-0') reverse
> the list of available default values and then go to the first one
> (previously the last one).  So you could cycle among the defaults in the
> opposite order.

Much more useful would be to display a complete list of suggestions,
so the users would be able to select the necessary element easily.

This is how it works in web browsers: a drop-down list with suggestions
is displayed where you can use up/down-arrow keys to select the suggestion.
Web browsers combine two types of lists into one suggestion box:
previously entered elements from the history and new suggestions
(often based on popular searches).

In Emacs the keybinding that works like this is <prior> or M-v
(`switch-to-completions').  But currently it doesn't display suggestions.
It could be enhanced to sort completions and put suggestions on the top
of the *Completions* list.